/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclCollection
    //extends IOclAny
{
    public OclInteger size();
    public OclBoolean includes(Object object);
    public OclBoolean excludes(Object object);
    public OclInteger count(Object object);
    public OclBoolean includesAll(OclCollection col);
    public OclBoolean excludesAll(OclCollection col);
    public OclBoolean isEmpty();
    public OclBoolean notEmpty();
    public Object sum();
    public OclSet product(OclCollection c2);
    
	Object asJavaObject();
}
