/***********************************************************************
 * Copyright (c) 2003 University of Kent.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.cs.kent.ac.uk/projects/ocl/CPL.html
 ***********************************************************************/

package uk.ac.kent.cs.ocl20.standard.lib;

public interface OclVisitor {
	public Object visit(OclBoolean host, Object data);
    public Object visit(OclInteger host, Object data);
    public Object visit(OclReal host, Object data);
    public Object visit(OclString host, Object data);
	public Object visit(OclCollection host, Object data);
	public Object visit(OclSequence host, Object data);
    public Object visit(OclSet host, Object data);
	public Object visit(OclOrderedSet host, Object data);
    public Object visit(OclBag host, Object data);
    public Object visit(OclTuple host, Object data);
	public Object visit(OclUndefined host, Object data);
}
